#
# spec file for package libmatroska (Version 1.0.0)
#
# Copyright (c) 2010 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define soname 2

Name:           libmatroska
Version:        1.0.0
Release:        3.2
License:        LGPLv2.1+
Summary:        Library to Deal with Matroska Files
Url:            http://dl.matroska.org/downloads/%{name}/
Group:          Development/Libraries/Other
Source0:        http://dl.matroska.org/downloads/%{name}/%{name}-%{version}.tar.bz2
Source1:        baselibs.conf
BuildRequires:  gcc-c++
BuildRequires:  libebml-devel >= 1.0.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Libmatroska is a C++ library to parse Matroska files (.mkv and .mka).
It depends on libebml to work. You only need this package to compile
your own applications.

%package -n %{name}%{soname}

License:        LGPLv2.1+
Summary:        Library to Deal with Matroska Files
Group:          Development/Libraries/Other

%description -n %{name}%{soname}
Libmatroska is a C++ library to parse Matroska files (.mkv and .mka).
It depends on libebml to work. You only need this package to compile
your own applications.

%package -n %{name}-devel

License:        LGPLv2.1+
Summary:        Library to Deal with Matroska Files
Group:          Development/Libraries/Other
Requires:       %{name}%{soname} = %{version}
Requires:       libebml-devel

%description -n %{name}-devel
Libmatroska is a C++ library to parse Matroska files (.mkv and .mka).
It depends on libebml to work. You only need this package to compile
your own applications.

%prep
%setup -q
FAKE_BUILDTIMESTAMP=$(LC_ALL=C date -r %{_sourcedir}/%{name}.changes '+%a %b %e %H:%M:%S %Y')
sed -i "s/__TIMESTAMP__/\"$FAKE_BUILDTIMESTAMP\"/" matroska/KaxVersion.h

%build
cd make/linux
%{__make} %{?jobs:-j%jobs} CXXFLAGS='%{optflags}' sharedlib

%install
cd make/linux
%{__make} libdir=%{buildroot}%{_libdir} includedir=%{buildroot}%{_includedir}/matroska install_sharedlib install_headers

%clean
%{__rm} -rf %{buildroot}

%post -n %{name}%{soname} -p /sbin/ldconfig

%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr (-,root,root)
%{_libdir}/%{name}.so.%{soname}

%files -n %{name}-devel
%defattr (-,root,root)
%{_libdir}/%{name}.so
%{_includedir}/matroska

%changelog
* Wed Aug  4 2010 reddwarf@opensuse.org
- remove __TIMESTAMP__ so BuildCompare can do its work
* Wed Jul 28 2010 coolo@novell.com
- fix build in renaming shared library package
* Sat Jun  5 2010 cmorve69@yahoo.es
- Update to version 1.0.0
  - Fix more issues which came to light with the recent push of
    WebM -- mostly regarding elements with unknown sizes.
* Sat May 15 2010 cmorve69@yahoo.es
- version update to 0.9.0
  - fix a memory freeing issue in KaxBlock
  - use the macros from the new libebml 0.8.0 to simplify the element definitions and avoid possible typo bugs
  - fix some building issues on Linux and MinGW
  - add matroska_init() and matroska_done() functions, necessary when used with libebml v2
  - use the new libebml iterators of EbmlMaster where possible
* Wed May 12 2010 cmorve69@yahoo.es
- added patch to "Do not try to free() pointers pointing to member
  variables" from upstream SVN. Fixes VLC crash.
* Tue Jan 13 2009 crrodriguez@suse.de
- remove static libraries
* Sat May 26 2007 ro@suse.de
- added libebml-devel to buildreq
- split off devel package
* Mon Feb 26 2007 seife@suse.de
- version update to 0.8.1
  - add support for KaxCodecState and indexing them in the cues
  - "make install" fixes
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Nov 21 2005 seife@suse.de
- version update to 0.8.0
* Wed Nov  2 2005 dmueller@suse.de
- don't build as root
* Wed Sep 28 2005 meissner@suse.de
- use RPM_OPT_FLAGS correctly.
* Tue Jul  5 2005 seife@suse.de
- version 0.7.7
* Sun Apr 17 2005 seife@suse.de
- version 0.7.6
* Mon Feb  7 2005 seife@suse.de
- version 0.7.5
* Tue Oct 26 2004 seife@suse.de
- version 0.7.4
* Thu Sep  2 2004 seife@suse.de
- add libebml to neededforbuild
* Wed Sep  1 2004 seife@suse.de
- initial submission
